package com.example.toyo7_tweenanimation;

import android.os.Bundle;
import android.graphics.drawable.TransitionDrawable;	//for ImageTransition
import android.widget.ImageView;
import android.widget.TextView;					//used in the text animation transformation
import android.view.animation.Animation;		//used in the text animation transformation
import android.view.animation.AnimationUtils;	//used in the text animation transformation
import android.app.Activity;
import android.view.Menu;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		TextView textAnim = (TextView) findViewById(R.id.animText);
		Animation textAnimation = AnimationUtils.loadAnimation(this, R.anim.text_animation);
		textAnim.startAnimation(textAnimation);
		
		
		//create the trans object that is used to access the image_transition XML file
		TransitionDrawable trans = (TransitionDrawable) getResources().getDrawable(R.drawable.image_transition);
		
		ImageView transImage = (ImageView) findViewById(R.id.imageTrans);
		transImage.setImageDrawable(trans);
		trans.startTransition(15000);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
